Restore Points - Create

建立數據倉儲的還原點。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/restorePoints?api-version=2025-01-01

URI 參數

名稱 位於 必要 類型 Description
databaseName
path True

string

資料庫的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
restorePointLabel True

string

要套用的還原點標籤

回應

名稱 類型 Description
200 OK

RestorePoint

Azure 運作順利完成。

201 Created

RestorePoint

資源 'RestorePoint' 建立作業成功

標題

Location: string

202 Accepted

已接受資源作業。

標題

Location: string

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Creates datawarehouse database restore point.

範例要求

POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints?api-version=2025-01-01

{
  "restorePointLabel": "mylabel"
}

範例回覆

{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "japaneast",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
{
  "name": "131546477590000000",
  "type": "Microsoft.Sql/servers/databases/restorePoints",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/servers/testserver/databases/testDatabase/restorePoints/131546477590000000",
  "location": "southeastasia",
  "properties": {
    "restorePointCreationDate": "2017-03-10T08:00:00Z",
    "restorePointLabel": "mylabel",
    "restorePointType": "DISCRETE"
  }
}
Location: https://management.azure.com/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/manageddatabaserestoreazureasyncoperation/00000000-1111-2222-3333-444444444444?api-version=2022-11-01-preview

定義

名稱 Description
CreateDatabaseRestorePointDefinition

包含執行建立資料庫還原點作業所需的資訊。

createdByType

建立資源的身分識別類型。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

RestorePoint

資料庫還原點。

RestorePointType

還原點的類型

systemData

與建立和上次修改資源相關的元數據。

CreateDatabaseRestorePointDefinition

包含執行建立資料庫還原點作業所需的資訊。

名稱 類型 Description
restorePointLabel

string

要套用的還原點標籤

createdByType

建立資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

RestorePoint

資料庫還原點。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源位置。

name

string

資源的名稱

properties.earliestRestoreDate

string (date-time)

最早可以還原此資料庫的時間

properties.restorePointCreationDate

string (date-time)

備份的建立時間

properties.restorePointLabel

string

用戶備份要求的還原點標籤

properties.restorePointType

RestorePointType

還原點的類型

systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」

RestorePointType

還原點的類型

值 Description
CONTINUOUS

連續性

DISCRETE

離散

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。